Subject: Re: bug#49244: [PATCH] gnu: grub-efi: Only enable the stack protector on x86_64-linux.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Cc: Mathieu Othacehe <[email-masked]>
Date: Fri, 02 Jul 2021 00:30:58 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Mathieu Othacehe <[email-masked]> writes:

> Hey Chris,
>
>> +                    ,@(if (string=? (%current-system)
>> +                                    "x86_64-linux")
>> +                          '("--enable-stack-protector") ; EFI-only for now
>> +                          '())
>
> Maybe we should also avoid this option when cross-compiling? Otherwise
> it looks OK.

Yeah, I was trying to test the cross-compiling case, but I think
something else fails regardless. Anyway, I've pushed something similar
to what Maxime suggested as fd549750d9ab23a0505aeb4c03e1299e860a4f16.

Thanks,

CHris